<template>
  <div id="app">
    <nav>
        <div class="nav-wrapper">
            <div class="links">
                <router-link to="/" class="btn btn-group-sm btn-success">Головна сторінка</router-link>
                <router-link to="/products" class="btn btn-group-sm btn-success">Товари</router-link>
                <router-link to="/login" class="btn btn-group-sm btn-success">Увійти</router-link>
                <router-link :to="{name: 'basket', params: {basketData: this.basket}}" class="btn btn-group-sm btn-success">Кошик: {{ basket.length }}</router-link>
            </div>

            <div class="mb-3 pt-4 d-flex">
                <input
                    type="text"
                    v-model="searchValue"
                    class="form-check"
                    placeholder="Введіть запрос"
                    aria-describedby="basic-addon2">
                <div class="input-group-append">
                    <button
                        class="btn btn-success"
                        type="button"
                        @click=""
                    >
                        Пошук</button>
                </div>
            </div>
        </div>
    </nav>

    <keep-alive>
      <router-view/>
    </keep-alive>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
    data() {
        return {
            searchValue: '',
        }
    },
    computed: {
        ...mapGetters({
            basket: 'getBasket'
        }),
    },
    watch: {
        searchValue(searchValue) {

            if (this.$route.path !== '/products') {
                this.$router.push('/products');
            }
            this.$store.commit('setSearchValue', searchValue);
        },
    },
}
</script>


<style lang="scss">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  background-color: #f5f5b7;
    height: 100vh;
}

.nav-wrapper {
  padding: 1rem;
  display: flex;
  justify-content: space-around;
  align-items: center;

  a {
    white-space: nowrap;
  }

  .links {
      display: flex;
      align-items: center;
      gap: 10px;
  }
}
</style>
